### Method

# Gtk SvgWidget set_state

unstable since: 4.24

#### Declaration [src]

    void
    gtk_svg_widget_set_state (
      GtkSvgWidget* self,
      unsigned int state
    )

#### Description [src]

Sets the state of the widget.

The state change will apply transitions that are defined in the SVG. See `GtkSvg` for details about states and transitions.

Available since: 4.24

Sets property | `Gtk.SvgWidget:state`

#### Parameters

`state`

  Type: `unsigned int`

  The state to set, as a value between 0 and 63.